# Package it.ernytech.tdlib.utils

it.ernytech.tdlib.utils is a group of utils necessary to complete the essential operation of tdlib.

Interface Summary
CloseCallback: Interface of callback for receive notification of closing Tdlib.
ErrorCallback: Interface of callback for receive incoming error response.
ReceiveCallback: Interface of callback for receive incoming update or request response.

Class Summary
Init: Init class to successfully initialize Tdlib
LoadLibrary: The class to load the libraries needed to run Tdlib

Enum Summary
Arch: Enumeration with all architectures recognized by this library.
Os: Enumeration with all operating systems recognized by this library.

Exception Summary
CantLoadLibrary: An exception that is thrown when the LoadLibrary class fails to load the library.
MissingTdlibLibrary: An runtime exception that is thrown when the libraries needed for Tdlib have not been loaded.